# xbib Guice

image:https://api.travis-ci.org/xbib/guice.svg[title="Build status", link="https://travis-ci.org/xbib/guice/"]
image:https://img.shields.io/sonar/http/nemo.sonarqube.com/org.xbib%3Aguice/coverage.svg?style=flat-square[title="Coverage", link="https://sonarqube.com/dashboard/index?id=org.xbib%3Aguice"]
image:https://maven-badges.herokuapp.com/maven-central/org.xbib/guice/badge.svg[title="Maven Central", link="http://search.maven.org/#search%7Cga%7C1%7Cxbib%20guice"]
image:https://img.shields.io/badge/License-Apache%202.0-blue.svg[title="Apache License 2.0", link="https://opensource.org/licenses/Apache-2.0"]
image:https://img.shields.io/twitter/url/https/twitter.com/xbib.svg?style=social&label=Follow%20%40xbib[title="Twitter", link="https://twitter.com/xbib"]
image:https://www.paypalobjects.com/en_US/i/btn/btn_donateCC_LG.gif[title="PayPal", link="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=GVHFQYZ9WZ8HG"]

This is xbib Guice, a build of Google Guice with the following differences to the 
original [Google Guice Core Library](https://github.com/google/guice):

- only external dependencies are 
 - javax.inject:javax.inject:1
 - org.xbib:jsr-305:1.0.0
 - com.google.guava:guava:20.0
- code is conforming to JRE `compact1` profile 
- the extra AOP stuff was removed (aopalliance/cglib), no intercepting any more
- removed all logging, uses of java.util.logger.* stuff and logger default binding
- removed all java.io.Serializable dependent stuff
- reformatted source by IntelliJ and cleaned up source of @author and @since tags
- target of compilation is Java 8, no support for Java 6/7
- introduced Gradle as build system
- junit tests made compatible to junit 4.12
- assistedinject and multibindings extensions are already included

All credits belong to the original authors, especially Bob Lee http://blog.crazybob.org/

## License

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
