package com.google.inject.spi;

import com.google.inject.Provider;

/**
 * A provider with dependencies on other injected types. If a {@link Provider} has dependencies that
 * aren't specified in injections, this interface should be used to expose all dependencies.
 */
public interface ProviderWithDependencies<T> extends Provider<T>, HasDependencies {
}
