package com.google.inject.spi;

import com.google.inject.TypeLiteral;

/**
 * Converts constant string values to a different type.
 */
public interface TypeConverter {

    /**
     * Converts a string value. Throws an exception if a conversion error occurs.
     */
    Object convert(String value, TypeLiteral<?> toType);
}
