package com.google.inject.spi;

import com.google.inject.Scope;
import junit.framework.AssertionFailedError;

import java.lang.annotation.Annotation;

public class FailingBindingScopingVisitor implements BindingScopingVisitor<Void> {

    public Void visitEagerSingleton() {
        throw new AssertionFailedError();
    }

    public Void visitScope(Scope scope) {
        throw new AssertionFailedError();
    }

    public Void visitScopeAnnotation(Class<? extends Annotation> scopeAnnotation) {
        throw new AssertionFailedError();
    }

    public Void visitNoScoping() {
        throw new AssertionFailedError();
    }
}