package com.google.inject.spi;

import com.google.inject.Binding;
import junit.framework.AssertionFailedError;

public class FailingTargetVisitor<T> extends DefaultBindingTargetVisitor<T, Void> {
    @Override
    protected Void visitOther(Binding<? extends T> binding) {
        throw new AssertionFailedError();
    }
}
